E-MailRelay

Static Public Member Functions | List of all members
G::LogOutput::Instance Struct Reference

A set of convenience functions for calling LogOutput methods on LogOutput::instance(). More...

`#include <glogoutput.h>`

## Static Public Member Functions
static bool | at (LogOutput::Severity) noexcept
static bool | atVerbose () noexcept
static bool | atDebug () noexcept
static void | context (std::string_view(*fn)(void *)=nullptr, void *fn_arg=nullptr) noexcept
static void * | contextarg () noexcept
static LogStream | start (LogOutput::Severity, const char *file, int line) noexcept
static void | output (LogStream &) noexcept
static int | fd () noexcept
static LogOutput::Config | config () noexcept

## Detailed Description

A set of convenience functions for calling LogOutput methods on LogOutput::instance().

Definition at line 130 of file glogoutput.h.

## Member Function Documentation

## ◆ at()

bool G::LogOutput::Instance::at | ( | LogOutput::Severity | s | ) |
| inline static noexcept

Definition at line 323 of file glogoutput.h.

## ◆ atDebug()

bool G::LogOutput::Instance::atDebug | ( |  | ) |
| inline static noexcept

Definition at line 325 of file glogoutput.h.

## ◆ atVerbose()

bool G::LogOutput::Instance::atVerbose | ( |  | ) |
| inline static noexcept

Definition at line 324 of file glogoutput.h.

## ◆ config()

G::LogOutput::Config G::LogOutput::Instance::config | ( |  | ) |
| inline static noexcept

Definition at line 331 of file glogoutput.h.

## ◆ context()

void G::LogOutput::Instance::context | ( | std::string_view(*)(void *) | fn = `nullptr`,
|  | void * | fn_arg = `nullptr`
| ) |  |
| inline static noexcept

Definition at line 326 of file glogoutput.h.

## ◆ contextarg()

void * G::LogOutput::Instance::contextarg | ( |  | ) |
| inline static noexcept

Definition at line 327 of file glogoutput.h.

## ◆ fd()

int G::LogOutput::Instance::fd | ( |  | ) |
| inline static noexcept

Definition at line 330 of file glogoutput.h.

## ◆ output()

void G::LogOutput::Instance::output | ( | LogStream & | stream | ) |
| inline static noexcept

Definition at line 329 of file glogoutput.h.

## ◆ start()

G::LogStream G::LogOutput::Instance::start | ( | LogOutput::Severity | s,
|  | const char * | file,
|  | int | line
| ) |  |
| inline static noexcept

Definition at line 328 of file glogoutput.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/glogoutput.h